package PhotoPub::AlbumHelper;
require Exporter;
@ISA = qw(Exporter);
@EXPORT_OK = qw(&rangelink &dispimgwithdefaults);

use PhotoPub::RangeHelper qw(&dispimg);
use PhotoPub::Annots qw(&getannot);

use strict;

sub rangelink($,$,$,$) {
  my ($otheroptions,$rangelinkroot,$queryprefix,$style,$styleroot)=@_;
  $style="$styleroot/$style"  unless substr($style,0,1) eq '/';
  return '<a'.$otheroptions.'href="'.$rangelinkroot
            .'?'.$queryprefix.$style.'">';
}

sub dispimgwithdefaults($,$,$,$) {
  my ($other,$photo,$extra)=@_;
  &dispimg($other,$photo,&getannot($photo,'options'),$extra);
}
